"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleInvalidNullResponse = exports.AriesAskarError = void 0;
class AriesAskarError extends Error {
    constructor({ code, message }) {
        super(message !== null && message !== void 0 ? message : 'No message provided from Aries Askar');
        this.code = code;
    }
    static customError({ message }) {
        return new AriesAskarError({ message, code: 100 });
    }
}
exports.AriesAskarError = AriesAskarError;
function handleInvalidNullResponse(response) {
    if (response === null) {
        throw AriesAskarError.customError({ message: 'Invalid response. Expected value but received null pointer' });
    }
    return response;
}
exports.handleInvalidNullResponse = handleInvalidNullResponse;
//# sourceMappingURL=error.js.map